Subject: PU/LU Names - more discussion

From: Brian Jewell <[email-masked]>
Date: Tue, 2 Jan 1996 09:37:05 -0800 (PST)

Re: Bob Moore's comments about PU/LU names...

(Note: new comments are delimited by 'BRJ>')  

BRJ> Bob's first comment:

> Taking Brian's note as a starting point, there are a couple of further
> points to be made:

> 1. Brian says:

>> Negative: To my knowledge, the sending of NMVTs is a higher-layer
>> function, not normally performed by VTAM, but instead by VTAM
>> applications, such as NetView. Hence implementation of this approach
>> might actually lie outside the realm of VTAM...and having it only
>> work on hosts with NetView installed would remove much of the
>> value.

> While it's true that most NMVTs are sent / received by NetView, there
> are some that VTAM processes:  specifically, VTAM participates in some
> of the Query Product Set ID (QPI) exchanges.

BRJ> Thanks for the info. I was unaware of this - but it makes sense!

BRJ> Bob's second comment:

> 2. Unless I'm missing something, the PU and LU cases are importantly
> different.  Since NMVTs are always sent to the PU on the SSCP-PU session,
> there's no problem determining which PU a PuName from VTAM would apply
> to--it applies to the recipient of the NMVT.  For LuNames, though, how
> is the PU going to figure out which LU an LuName applies to?  There's
> no analogous problem when the LuName flows in an ACTLU, because there,
> once again, it's clear that the name applies to the recipient.  But for an
> NMVT to a PU, it seems like *two* pieces of information would be needed:
> the LuName that VTAM uses, and an indication of which LU , as known by
> the PU, the name applies to.  Any thoughts on where this second piece of
> information might come from?

BRJ> You're right. Additional information would be required, such as the 
BRJ> local LU address. One possibility would be to include an SNA Address 
BRJ> List (0x04) subvector in the NMVT.

BRJ> Of course, I guess this approach (of using NMVTs) pre-supposes that 
BRJ> independent LUs will be excluded??? Anyone have thoughts on this
BRJ> aspect of the problem???

Brian Jewell
3Com, Inc.